#include "komplex.h"

template <class T>
komplex<T>::komplex(T real, T imag)
: _real(real), _imag(imag)
{
}

template <class T>
komplex<T>::~komplex()
{
    //dtor
}

// inline
template <class T>
komplex<T>& komplex<T>::operator+=(const komplex<T> rhs)
{
    _real += rhs._real;
    _imag += rhs._imag;

    return *this;
}


template <class T>
komplex<T> komplex<T>::operator+(const komplex<T> rhs) const
{
    komplex<T> tmp(*this);   // tmp=a
    //tmp._real += rhs._real;
    //tmp._imag += rhs._imag;
    // return tmp;
    return tmp += rhs;
}


template <class T>
ostream& operator<<(ostream& s, const komplex<T>& rhs)
{
    s << "(" << rhs.Get_real() << "," << rhs.Get_imag() << ")";
    return s;
}
